Thanks a lot Sunil, here are some results from your indications
(unfortunately I still can't do much to restore control over the server,
even with the information I got from errors etc.):

On 09/16/2016 05:37 AM, Sunil Mohan Adapa wrote:
> On 09/16/2016 01:35 AM, euomu wrote:
>> hi,
>>
>> I haven't been looking to the server for a month or more. Because I
>> couldn't ssh into it or access plinth, I restarted it. Now I still can't
>> ssh into it(permission denied), but I can get into plinth (only through
>> pagekite) and the problem is that I have no apps and no system
>> configuration (both pages have only a brief description).
> 
> There was a bug for a brief period where the menus on the left
> disappeared.  You can still reach all the applications and system
> settings by typing the URLs.  For example, /plinth/sys/users will give
> you user management.

That is helpful for temporary administration, thanks.

>>
>> Any recommendation on what can I do to get a fully functional Plinth (as
>> it used to be) and ssh access?
> 
> Please check Plinth's version in /plinth/help/about ?  It should be 0.10.0.

I'm running Plinth version 0.9.4 (an error blocks the upgrade)

> Check if automatic upgrades are enabled in plinth/sys/upgrades/ . Check
> for upgrade errors in /plinth/sys/upgrades/upgrade/

I had them enabled and here is the log for a few days of upgrading trials:

2016-09-16 14:26:00,022 INFO Initial blacklisted packages:
2016-09-16 14:26:00,026 INFO Initial whitelisted packages:
2016-09-16 14:26:00,027 INFO Starting unattended upgrades script
2016-09-16 14:26:00,029 INFO Allowed origins are: ['origin=Debian',
'origin=Debian,codename=stretch,label=Debian-Security']
2016-09-16 14:45:57,678 ERROR An error occurred: 'Error reading from
server. Remote end closed connection [IP: 5.153.231.35 80]'
2016-09-16 14:45:57,680 ERROR The URI
'http://httpredir.debian.org/debian/pool/main/n/network-manager/network-manager_1.2.4-2_armhf.deb'
failed to download, aborting
2016-09-17 00:22:05,157 INFO Initial blacklisted packages:
2016-09-17 00:22:05,161 INFO Initial whitelisted packages:
2016-09-17 00:22:05,162 INFO Starting unattended upgrades script
2016-09-17 00:22:05,163 INFO Allowed origins are: ['origin=Debian',
'origin=Debian,codename=stretch,label=Debian-Security']
2016-09-17 00:42:11,483 INFO Packages that will be upgraded: apache2
apache2-bin apache2-data apache2-utils apt apt-utils base-passwd batctl
bsdutils btrfs-progs btrfs-tools certbot dbus dh-python dialog diffutils
dmsetup dnsmasq-base firewalld fontconfig-config fonts-dejavu-core
freedombox-setup geoip-database gir1.2-freedesktop gir1.2-glib-2.0
gir1.2-networkmanager-1.0 git git-man glib-networking
glib-networking-common glib-networking-services
gsettings-desktop-schemas iproute2 iso-codes krb5-locales letsencrypt
libapache2-mod-php libapache2-mod-php7.0 libapt-inst2.0 libapt-pkg5.0
libaudit-common libaudit1 libblkid1 libc-bin libc-l10n libc6
libdbd-mysql-perl libdbus-1-3 libdbus-glib-1-2 libdevmapper1.02.1
libfdisk1 libfontconfig1 libgcrypt20 libgeoip1 libgirepository-1.0-1
libglib2.0-0 libglib2.0-data libgnutls30 libgssapi-krb5-2
libgstreamer1.0-0 libicu57 libjson-c3 libk5crypto3 libkrb5-3
libkrb5support0 libltdl7 libmnl0 libmount1 libnetfilter-conntrack3
libnghttp2-14 libnm-glib4 libnm-util2 libnm0 libnss-ldapd
libnss-myhostname libp11-kit0 libpam-ldapd libpam-systemd libpcre3
libpcsclite1 libperl5.22 libpng16-16 libpython2.7-minimal
libpython2.7-stdlib libpython3.5-minimal libpython3.5-stdlib libqt4-dbus
libqt4-network libqt4-sql libqt4-sql-sqlite libqt4-xml libqtcore4
libqtdbus4 libsmartcols1 libsoup2.4-1 libsqlite3-0 libsystemd0
libtasn1-6 libteamdctl0 libudev1 libuuid1 libxcb-render0 libxcb-shm0
libxcb1 libyaml-0-2 locales locales-all mount multiarch-support
mumble-server mysql-common network-manager nscd nslcd nslcd-utils perl
perl-base perl-modules-5.22 php-common php-mysql php7.0-cli
php7.0-common php7.0-json php7.0-mysql php7.0-opcache php7.0-readline
plinth ppp python-acme python-apt-common python-certbot
python-configargparse python-cryptography python-django-common
python-openssl python-pkg-resources python-setuptools
python-zope.component python2.7 python2.7-minimal python3-apt
python3-bootstrapform python3-django python3-django-stronghold
python3-gi python3-pkg-resources python3-yaml python3.5
python3.5-minimal qdbus qtcore4-l10n sed shared-mime-info systemd
systemd-sysv tcpdump udev util-linux wpasupplicant
2016-09-17 00:42:11,486 INFO Writing dpkg log to
'/var/log/unattended-upgrades/unattended-upgrades-dpkg.log'
2016-09-18 13:50:21,097 INFO Initial blacklisted packages:
2016-09-18 13:50:21,100 INFO Initial whitelisted packages:
2016-09-18 13:50:21,102 INFO Starting unattended upgrades script
2016-09-18 13:50:21,103 INFO Allowed origins are: ['origin=Debian',
'origin=Debian,codename=stretch,label=Debian-Security']
2016-09-18 13:50:21,108 WARNING Unclean dpkg state detected, trying to
correct
2016-09-18 13:51:01,867 WARNING dpkg --configure -a output:
Setting up libapt-inst2.0:armhf (1.3~rc4) ...
Processing triggers for libc-bin (2.23-5) ...
Setting up perl-modules-5.22 (5.22.2-5) ...
Setting up apt (1.3~rc4) ...
Setting up libperl5.22:armhf (5.22.2-5) ...
Setting up perl (5.22.2-5) ...
Installing new version of config file /etc/perl/sitecustomize.pl ...
Processing triggers for libc-bin (2.23-5) ...

2016-09-18 13:51:12,131 ERROR Cache has broken packages, exiting
2016-09-18 13:56:05,774 INFO Initial blacklisted packages:
2016-09-18 13:56:05,778 INFO Initial whitelisted packages:
2016-09-18 13:56:05,779 INFO Starting unattended upgrades script
2016-09-18 13:56:05,780 INFO Allowed origins are: ['origin=Debian',
'origin=Debian,codename=stretch,label=Debian-Security']
2016-09-18 13:56:15,218 ERROR Cache has broken packages, exiting

> Then create a fresh new user in /plinth/sys/users with admin permissions
> and try to login with that user on SSH.  Check if FreedomBox upgrades
> have halted for some reason:

I did try to create the user, but it's not possible to make it admin and
ssh still dosen't work on that user either.
Creating LDAP user failed.
Failed to add new user to admin group.
User xxxx created.

> $ sudo apt update
> $ sudo apt dist-upgrade
> 
Couldn't get to this part. Please give me some suggestion to get back on
track with the server. Thank you.
-- 
Please let me know if you received this email. Thank you!

Va rog confirmati daca ati primit acest email. Va multumesc!

_______________________________________________
Freedombox-discuss mailing list
Freedombox-discuss@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/freedombox-discuss

Reply via email to